package com.sd.business.controller.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.production.dto.ProductionOrderDto;
import com.sd.business.entity.production.dto.SetTagDto;
import com.sd.business.entity.production.vo.ProductionOrderVo;
import com.sd.business.service.production.ProductionOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 生产订单
 */
@RestController
@RequestMapping("/productionOrder")
public class ProductionOrderController {

    @Autowired
    private ProductionOrderService productionOrderService;

    /**
     * 生产订单分页
     */
    @PostMapping("/page")
    public Page<ProductionOrderVo> page(@RequestBody ProductionOrderDto dto) {
        return productionOrderService.getPage(dto);
    }

    /**
     * 赋值标签
     */
    @PostMapping("/setTag")
    public void setTag(@Validated @RequestBody SetTagDto dto) {
        productionOrderService.setTag(dto);
    }

}
